Skip to content
openlaunch
Esc
↑↓navigate↵open⌘Jpreview

Invite a workspace member

Creates a one-time invitation. Only the workspace owner can delegate administration (role administrator). The invitation secret is shown once and stored only as a hash.

POST/v1/workspace/invitations
Authorization
AuthorizationBearer token (Clerk owner session) · headerrequired

Owner identity required.

Request body
requiredapplication/json
namestringrequired
min length 1 · max length 64
rolestring
default: "operator"
Allowed:operatoradministrator
ttlSecondsinteger
min 60 · max 3600 · default: 600
Responses
201

Successful response

dataWorkspaceInvitationrequired
Show properties
invitationstringrequired

One-time invitation secret; shown once, stored only as a hash, expires at expiresAt.

expiresAtintegerrequired
400

Invalid request or validation failure

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
401

Missing or invalid credential

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
403

Insufficient access or grant

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
404

Resource not found

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
413

Request body exceeds the 16 KiB limit

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
429

Rate limit or workspace capacity limit

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
500

Internal error

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
503

Service or required integration is not configured

errorobjectrequired
Show properties
codestringrequired
messagestring
issuesobject[]
Show properties
Array of object
pathstring
messagestring
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://www.openlaunch.dev/v1/workspace/invitations' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "role": "operator",
  "ttlSeconds": 600
}'
Response
{
  "data": {
    "invitation": "string",
    "expiresAt": 0
  }
}